Page MenuHomePhabricator

Page creation data stream died June 6
Closed, DeclinedPublic

Description

Event Timeline

kaldari created this task.Jul 16 2019, 4:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2019, 4:43 PM

The previous breakage task for reference: T201420

Milimetric triaged this task as High priority.
Milimetric moved this task from Incoming to Ops Week on the Analytics board.
Milimetric added a project: Analytics-Kanban.

this is due to a change in schema from mediawiki-page-create version 3 to version 4.

Ottomata claimed this task.Jul 18 2019, 5:13 PM
Ottomata added a subscriber: Milimetric.
Nuria added a subscriber: Nuria.Jul 18 2019, 5:33 PM

@kaldari When these dashboards were created this data was not in wikistats, now there are monthly updates of, say, pages created on namespace 0 for estonian wikipedia:

https://stats.wikimedia.org/v2/#/et.wikipedia.org/contributing/new-pages/normal|bar|2-year|page_type~content|monthly

Nuria added a comment.Jul 18 2019, 5:35 PM

@kaldari are these dashboards still needed?

Nuria added a comment.Jul 18 2019, 5:38 PM

Also, while now you can only split data by (bot/user) and namespace separately it is our plan to allow multiple splits soon.

Once again, my fault. We've been migrating events to a the new EventGate service in T211248. The new events are not compatible with EventLogging.

We would like to decommission the EventLogging MySQL server this quarter if possible. We have already asked most users, but forgotten about this use.

If wikistats isn't suitable here and this dashiki dashboard is still needed, we'll have to modify ReportUpdater queries and then also Dashiki to use data from Hive.

@kaldari we'd like to stop producing this data to MySQL. We are waiting for your feedback.

@Ottomata - Thanks for investigating! I don't really care where the data lives, I just need a publicly-accessible way to monitor page creation trends. This dashboard was doing a great job of that, so I would be happy if it could be resurrected. If not, we just need something equivalent set up elsewhere (but publicly assessable).

That interface is more limited, but I suppose it will do. Thanks.

@kaldari it is our plan to work a bit more on the wikistats UI this year, the api has the ability of setting up a combination of "splits" (by "editor type" but also "content type") so it is a matter of having a UI that can do the multiple splits.

@Nuria - Yes, that's the main feature I would be interested in: being able to combine variables (for example, all content pages created by anonymous users) instead of having to choose just one or the other. That would be a welcome addition!

kaldari closed this task as Declined.Jul 25 2019, 7:56 PM

FYI: this is already possible in the API, it's just not implemented in the UI. For example

all content pages created by anonymous users last month on Estonian Wikipedia:

https://wikimedia.org/api/rest_v1/metrics/edited-pages/new/et.wikipedia.org/anonymous/content/monthly/2019060100/2019070100

Nuria added a comment.Aug 1 2019, 9:50 PM

Also, one side question for @kaldari: should we decommission these dashboards and make them redirect to wikistats?

Probably at some point, yes. We should take screenshots of all the views, though, and upload them to Commons so the info that isn't available through wikistats isn't lost entirely.